We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

HOW-TO: install Kernel 2.6.32 on Proxmox?


makno
19-02-2011, 14:35
btw i have the same problem, update grub and the server won't come up after reboot. it seems 2.6.32 had some errors and won't load. i'm now stuck in vkvm trying to get the server to boot on 2.6.24 but grub2 is defaulting to 2.6.32 and i can't remove those 2 entry to default to 2.6.24 anymore :\

Tipika
19-05-2010, 17:53
I rebooted several times, but the problem was not resolved

Later I will try to update grub, and then reboot

Myatu
19-05-2010, 17:50
Did you get this resolved, by the way? If not, make sure that Grub has updated the boot configuration with /usr/sbin/update-grub.

Tipika
19-05-2010, 16:31
maybe automatically due to my title "how to..."

Myatu
19-05-2010, 15:21
Uhm, why's this moved to the How-To?

makno
16-05-2010, 19:26
sorry butcan't confirm on that. i've been running the default kernel since i had the server and not really had any issues (yet)

Tipika
16-05-2010, 16:27
of course
However, I read about some performance issues with KSM, using a lot of cpu cycles (up to 40%!) to scrub the RAM.
Is that true? In that case I prefer to use the default kernel

makno
16-05-2010, 16:24
did you make sure that in the ovh manager you have the boot option set as "hd" and not network boot?

Tipika
14-05-2010, 16:25
As from the PVE Wiki, i did
apt-get update
apt-get upgrade
apt-get install proxmox-ve-2.6.32
and then rebooted

But, on the admin page I noticed that it's still possible to create OpenVZ containers.
In the beginning I was thinking that it was normal: maybe it's just a glitch - it's possible to create non-working OpenVZ containers.
Then, i noticed that from the OVH manager, in the real time monitoring, it seems that I am using the 2.6.24-10-pve kernel.

I typed pveversion and I get this:
pve-manager: 1.5-8 (pve-manager/1.5/4674)
running kernel: 2.6.24-10-pve
proxmox-ve-2.6.32: 1.5-4
pve-kernel-2.6.32-1-pve: 2.6.32-4
pve-kernel-2.6.24-10-pve: 2.6.24-21

qemu-server: 1.1-11
pve-firmware: 1.0-3
libpve-storage-perl: 1.0-10
vncterm: 0.9-2
vzctl: 3.0.23-1pve8
vzdump: 1.2-5
vzprocps: 2.0.11-1dso2
vzquota: 3.0.11-1dso1
pve-qemu-kvm: 0.11.1-2
ksm-control-daemon: 1.0-3
So, the kernel with KSM support it's installed, but the system does not boot using that. How I can make proxmox run using the 2.6.32 kernel?

Thanks